mallow docs

Cancel a scheduled bid

POST
/v1/scheduledBids/getCancelBidTx

Generates a base64 encoded VersionedTransaction to cancel a scheduled bid. The transaction must be signed and sent by the bidder.

Important: Bids can only be cancelled prior to its scheduled time (30 minutes before the end of the auction).

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Cancels a scheduled bid. Only possible before its scheduled time, 30 minutes before the auction ends.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/scheduledBids/getCancelBidTx" \  -H "Content-Type: application/json" \  -d '{    "bidder": "string",    "mint": "string"  }'
{  "result": {    "tx": "string"  }}